diff -up hplip-3.23.3/setup.py.add-ppd-crash hplip-3.23.3/setup.py
--- hplip-3.23.3/setup.py.add-ppd-crash	2023-03-28 09:26:11.000000000 +0200
+++ hplip-3.23.3/setup.py	2023-05-29 13:55:03.443497903 +0200
@@ -553,6 +553,9 @@ else: # INTERACTIVE_MODE
 
                             if file_path.endswith('.gz'):
                                 nickname = gzip.GzipFile(file_path, 'r').read(4096)
+                                if sys.version_info[0] > 2:
+                                    nickname = nickname.decode('utf-8')
+
                             else:
                                 nickname = open(file_path, 'r').read(4096)
 
diff -up hplip-3.23.3/ui5/setupdialog.py.add-ppd-crash hplip-3.23.3/ui5/setupdialog.py
--- hplip-3.23.3/ui5/setupdialog.py.add-ppd-crash	2023-05-29 13:55:03.443497903 +0200
+++ hplip-3.23.3/ui5/setupdialog.py	2023-05-29 13:57:19.014700721 +0200
@@ -765,10 +765,9 @@ class SetupDialog(QDialog, Ui_Dialog):
                 pass
 
     def OtherPPDButton_clicked(self, b):
-        ppd_file = to_unicode(QFileDialog.getOpenFileName(self, self.__tr("Select PPD File"),
-                                                          sys_conf.get(
-            'dirs', 'ppd'),
-            self.__tr("PPD Files (*.ppd *.ppd.gz);;All Files (*)")))
+        ppd_file = QFileDialog.getOpenFileName(self, self.__tr("Select PPD File"),
+                                                sys_conf.get('dirs', 'ppd'),
+                                                self.__tr("PPD Files (*.ppd *.ppd.gz);;All Files (*)"))[0]
 
         if ppd_file and os.path.exists(ppd_file):
             self.print_ppd = (ppd_file, cups.getPPDDescription(ppd_file))
